import { j as n } from "../../node_modules/react/jsx-runtime.js";
import { cn as e } from "../../utils/index.js";
function m({
  className: t,
  variant: a = "default",
  centered: i = !0,
  ...r
}) {
  const o = {
    default: "grid-container",
    compact: "grid-container-compact",
    inSideNav: "grid-container in-side-nav"
  }[a];
  return /* @__PURE__ */ n.jsx(
    "div",
    {
      className: e(
        "flex-grow with-cols",
        i && "mx-auto",
        o,
        t
      ),
      ...r
    }
  );
}
export {
  m as GridLayout
};
